### Method

# Handy Deck navigate

since: 1.0

#### Declaration [src]

    gboolean
    hdy_deck_navigate (
      HdyDeck* self,
      HdyNavigationDirection direction
    )

#### Description [src]

Navigates to the previous or next child.

The switch is similar to performing a swipe gesture to go in `direction`.

Available since: 1.0

#### Parameters

`direction`

  Type: `HdyNavigationDirection`

  The direction.

#### Return value

Type: `gboolean`

Whether the visible child was changed.